define({"367":{i:0.000484493511405257,u:"../Content/Configuration/TaskName/_CN_TaskNameParameters.htm",a:"This section describes the configuration parameters that you can use to configure fetch tasks for the OneDrive Connector.  Some parameters can be set in more than one section of the configuration file.\n\t\tIf a parameter is set in more than one section, the value of the parameter located in the most ...",t:"TaskName Configuration Parameters"},"368":{i:0.00322988401343327,u:"../Content/Configuration/TaskName/Http/_CN_AcceptCompressedEncodings.htm",a:"A Boolean value that specifies whether to accept compressed responses to HTTP requests (by setting the header Accept-Encoding: gzip). You should only set this parameter if you are troubleshooting connection problems and have set  EnableHTTPTrace  to TRUE. In this case, set this parameter to FALSE so ...",t:"AcceptCompressedEncodings"},"369":{i:0.00460257926444728,u:"../Content/Configuration/TaskName/AppKey.htm",a:"The application key provided by Microsoft. You must create an application to represent the connector. For information about how to create the application, refer to the OneDrive developer documentation, for example  https://dev.onedrive.com/app-registration.htm . Micro Focus recommends that you set ...",t:"AppKey"},"370":{i:0.00460257926444728,u:"../Content/Configuration/TaskName/AppSecret.htm",a:"The application secret provided by Microsoft. You must create an application to represent the connector. For information about how to create the application, refer to the OneDrive developer documentation, for example  https://dev.onedrive.com/app-registration.htm . Micro Focus recommends that you ...",t:"AppSecret"},"371":{i:0.00322988401343327,u:"../Content/Configuration/TaskName/Http/_CN_EnableHTTPTrace.htm",a:"A Boolean value that specifies whether to log information for troubleshooting the connection to the repository. When you set this parameter to TRUE, the connector writes additional log files to the NETLIB folder in the connector installation directory. This parameter is intended for troubleshooting ...",t:"EnableHTTPTrace"},"372":{i:0.00391623163894028,u:"../Content/Configuration/TaskName/FileNameCantHaveRegex.htm",a:"A list of regular expressions to limit the files that are retrieved by the connector. If the name of a file matches any of the regular expressions, the file is ignored. You can specify a comma-separated list of regular expressions, or use numbered parameters (FileNameCantHaveRegex0, ...",t:"FileNameCantHaveRegex"},"373":{i:0.00391623163894028,u:"../Content/Configuration/TaskName/FileNameMustHaveRegex.htm",a:"A list of regular expressions to limit the files that are retrieved by the connector. The name of a file must match one of the regular expressions, otherwise the file is ignored. You can specify a comma-separated list of regular expressions, or use numbered parameters (FileNameMustHaveRegex0, ...",t:"FileNameMustHaveRegex"},"374":{i:0.000484493511405257,u:"../Content/Configuration/TaskName/IngestFolders.htm",a:"A Boolean that specifies whether the connector creates a separate document for each folder. To create separate documents for each file and folder, set this parameter to  true. To create documents only for files, set this parameter to  false. Type: Boolean Default: True Required: No Configuration ...",t:"IngestFolders"},"375":{i:0.000484493511405257,u:"../Content/Configuration/TaskName/_CN_MappedSecurity.htm",a:"A Boolean value that specifies whether to enable mapped security. If you want the connector to extract security information from the repository and add an Access Control List (ACL) to each document, set this parameter to  TRUE. Type: Boolean Default: False\n                     Required: No ...",t:"MappedSecurity"},"376":{i:0.00391623163894028,u:"../Content/Configuration/TaskName/PathCantHaveRegex.htm",a:"A list of regular expressions to limit the files that are retrieved by the connector. If the full path of a folder matches any of the regular expressions, the folder is ignored. If a folder is ignored, all of its subfolders are also ignored. You can specify a comma-separated list of regular ...",t:"PathCantHaveRegex"},"377":{i:0.00391623163894028,u:"../Content/Configuration/TaskName/PathMustHaveRegex.htm",a:"A list of regular expressions to limit the files that are retrieved by the connector. The connector only retrieves files from folders where: the full path of the folder matches one of the regular expressions. the full path of all parent folders (up to the root folder) match one of the regular ...",t:"PathMustHaveRegex"},"378":{i:0.000484493511405257,u:"../Content/Configuration/TaskName/ProcessAllDrives.htm",a:"A OneDrive generally consists of a single drive, but an account can have multiple drives associated with it. To index drives other than the default drive, set this parameter to  TRUE. Type: Boolean Default: False Required: No Configuration Section: TaskName or FetchTasks or Default Example: ...",t:"ProcessAllDrives"},"379":{i:0.00322988401343327,u:"../Content/Configuration/TaskName/ProcessAllUserDrives.htm",a:"A Boolean value that specifies whether to retrieve information from the drives of all enabled users in a OneDrive for Business environment. When ProcessAllUserDrives=False, the connector only processes drives that belong to the user account used to access OneDrive. If you want to extract security ...",t:"ProcessAllUserDrives"},"380":{i:0.00322988401343327,u:"../Content/Configuration/TaskName/Http/_CN_ProxyHost.htm",a:"ProxyHost The host name or IP address of the proxy server to use to access the repository. Type: String Default:   Required: No Configuration Section: TaskName or FetchTasks or Default Example: ProxyHost=10.1.0.11 See Also: ProxyPassword ProxyPort ProxyUsername",t:"ProxyHost"},"381":{i:0.00322988401343327,u:"../Content/Configuration/TaskName/Http/_CN_ProxyPassword.htm",a:"ProxyPassword The password to use to authenticate with the proxy server. Type: String Default:   Required: No Configuration Section: TaskName or FetchTasks or Default Example: ProxyPassword=MyPassword See Also: ProxyHost ProxyPort ProxyUsername",t:"ProxyPassword"},"382":{i:0.00322988401343327,u:"../Content/Configuration/TaskName/Http/_CN_ProxyPort.htm",a:"ProxyPort The port of the proxy server to use to access the repository. Type: Long Default:   Allowed Range: Minimum: 0 Maximum: 65535 Required: No Configuration Section: TaskName or FetchTasks or Default Example: ProxyPort=80 See Also: ProxyHost ProxyPassword ProxyUsername",t:"ProxyPort"},"383":{i:0.00322988401343327,u:"../Content/Configuration/TaskName/Http/_CN_ProxyUsername.htm",a:"ProxyUsername The user name to use to authenticate with the proxy server. Type: String Default:   Required: No Configuration Section: TaskName or FetchTasks or Default Example: ProxyUsername=MyUsername See Also: ProxyHost ProxyPassword ProxyPort",t:"ProxyUsername"},"384":{i:0.000484493511405257,u:"../Content/Configuration/TaskName/RefreshToken.htm",a:"The refresh token you obtained from OneDrive. Micro Focus recommends that you set this parameter by running the OAuth configuration tool that is supplied with the connector. The OAuth tool generates a configuration file that you can import into the connector configuration file. For information about ...",t:"RefreshToken"},"385":{i:0.000484493511405257,u:"../Content/Configuration/TaskName/RegexCaseInsensitive.htm",a:"A Boolean that specifies whether regular expressions are case sensitive. To make regular expressions case sensitive, set this parameter to false. Type: Boolean Default: True Required: No Configuration Section: TaskName or FetchTasks or Default Example: RegexCaseInsensitive=False See Also: ...",t:"RegexCaseInsensitive"},"386":{i:0.00322988401343327,u:"../Content/Configuration/TaskName/UserCantHaveRegex.htm",a:"A regular expression to limit the users whose files are retrieved. If the principal name of a user matches the regular expression, the user is ignored. To use this parameter, you must set ProcessAllUserDrives=TRUE. Type: String (regular expression) Default:   Required: No Configuration Section: ...",t:"UserCantHaveRegex"},"387":{i:0.00322988401343327,u:"../Content/Configuration/TaskName/UserMustHaveRegex.htm",a:"A regular expression to limit the users whose files are retrieved. The principal name of a user must match the regular expression, otherwise the user is ignored. To use this parameter, you must set ProcessAllUserDrives=TRUE. Type: String (regular expression) Default:   Required: No Configuration ...",t:"UserMustHaveRegex"},"388":{i:0.000484493511405257,u:"../Content/Configuration/ViewServer/_CN_params_viewserver.htm",a:"View Server Configuration Parameters This section describes the configuration parameters that enable the connector’s view action to use a view server.",t:"View Server Configuration Parameters"},"389":{i:0.00171995344014273,u:"../Content/Configuration/ViewServer/_CN_EnableViewServer.htm",a:"The EnableViewServer parameter specifies whether documents retrieved by a view action are processed by the View Server before being returned. To process documents, set this parameter to True. If this parameter is False, the original documents are returned. Type:\n                         Boolean ...",t:"EnableViewServer"},"390":{i:0.000484493511405257,u:"../Content/Configuration/ViewServer/_CN_Host.htm",a:"Host The Host parameter specifies the host name or IP address of the View Server. This parameter is used only if the EnableViewServer parameter is set to True. Type: String Default: localhost Required: No Configuration Section: ViewServer Example: Host=localhost See Also: EnableViewServer",t:"Host"},"391":{i:0.000484493511405257,u:"../Content/Configuration/ViewServer/_CN_Port.htm",a:"Port The Port parameter specifies the port of the View Server. This parameter is used only if the EnableViewServer parameter is set to True. Type: Integer Default: 9000 Required: No Configuration Section: ViewServer Example: Port=9000 See Also: EnableViewServer",t:"Port"},"392":{i:0.000484493511405257,u:"../Content/Configuration/ViewServer/_CN_SharedPath.htm",a:"The SharedPath parameter specifies the path to a location accessible by both the connector and the View Server. Intermediate files are stored here. This parameter is used only if the EnableViewServer parameter is set to True. Type: String Default: The value of the TempDirectory parameter. Required: ...",t:"SharedPath"},"393":{i:0.000896313487651081,u:"../Content/Service/_ACI_part_Service.htm",a:"Service Actions This section describes the service actions that you can send to the service. Introduction to Service Actions Service Actions",t:"Service Actions"},"394":{i:0.000865427255864622,u:"../Content/Service/_ACI_Service_Intro.htm",a:"Service actions  return data about the service and allow you to control the service. You must add the  ServicePort  configuration parameter to the [Service] section of the  configuration file to enable the service port. You can use authorization roles to control which users can send service control ...",t:"Introduction to Service Actions"},"395":{i:0.000484493511405257,u:"../Content/Service/_ACI_Action_Syntax.htm",a:"The actions use the following syntax: http://Host:Port/action=ActionName\u0026[Parameters] where, Host The IP address (or name) of the machine hosting the service. Port The ServicePort specified in the [Service] section of the service’s configuration file. ActionName One of the actions described in this ...",t:"Action Syntax"},"396":{i:0.0010027005812799,u:"../Content/Service/ServiceActions/_ACI_ServiceActions_Reference.htm",a:"Service Actions This section describes the Service actions.",t:"Service Actions"},"397":{i:0.000545794696146097,u:"../Content/Service/ServiceActions/_ACI_ACIThreadStatus.htm",a:"Returns information about the activity of all the threads that the ACI service is using, including the number of accepted connections. This is a service status action that can be sent only by users that belong to an authorization role that allows the ServiceStatus standard role, or which enables the ...",t:"ACIThreadStatus"},"398":{i:0.00493401715458449,u:"../Content/Service/ServiceActions/_ACI_Diagnostic.htm",a:"The Diagnostic action creates a ZIP file for the service, which contains useful information for troubleshooting.  The information provided, and the level of detail in the files, varies for different services.  This is a service control action that can be sent only by users that belong to an ...",t:"Diagnostic"},"399":{i:0.000545794696146097,u:"../Content/Service/ServiceActions/_ACI_GetConfig.htm",a:"The GetConfig action returns the service’s configuration file settings. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization Roles Configuration ...",t:"GetConfig"},"400":{i:0.00287244151204663,u:"../Content/Service/ServiceActions/_ACI_GetLogStream.htm",a:"The GetLogStream action returns a specific log stream for the service. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization Roles Configuration ...",t:"GetLogStream"},"401":{i:0.00162151999966004,u:"../Content/Service/ServiceActions/_ACI_GetLogStreamNames.htm",a:"The GetLogStreamNames action returns the names of the log streams defined for the service. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization ...",t:"GetLogStreamNames"},"402":{i:0.00136943464863774,u:"../Content/Service/ServiceActions/_ACI_GetStatistics.htm",a:"The GetStatistics action returns statistics for the service. This is a service status action that can be sent only by users that belong to an authorization role that allows the ServiceStatus standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . ...",t:"GetStatistics"},"403":{i:0.000545794696146097,u:"../Content/Service/ServiceActions/_ACI_GetStatus.htm",a:"The GetStatus action returns the status of the service  (running, paused, or stopping) and some current configuration settings.  This is a service status action that can be sent only by users that belong to an authorization role that allows the ServiceStatus standard role, or which enables the ...",t:"GetStatus"},"404":{i:0.000545794696146097,u:"../Content/Service/ServiceActions/_ACI_GetStatusInfo.htm",a:"The GetStatusInfo action returns status information for the service (for example, the service’s product name, version number and so on). The action returns the following status information for the service: Statistics Description [StatusInfo] ServiceStartTime The time the service started running (in ...",t:"GetStatusInfo"},"405":{i:0.000545794696146097,u:"../Content/Service/ServiceActions/_ACI_Stop.htm",a:"The Stop action stops the service. This is a service control action that can be sent only by users that belong to an authorization role that allows the ServiceControl standard role, or which enables the action explicitly. See  Authorization Roles Configuration Parameters . Example action=Stop ...",t:"Stop"},"406":{i:0.000545794696146097,u:"../Content/Service/ServiceActions/_ACI_ValidateConfig.htm",a:"The ValidateConfig action detects and returns a list of configuration errors such as repeated or unused configuration keys and sections, unreferenced entries and so on.  For the ValidateConfig action to validate a configuration section, OneDrive Connector must have previously read that ...",t:"ValidateConfig"},"407":{i:0.000484493511405257,u:"../Content/Lua/_LUA_Lua_Scripts.htm",a:"Lua Functions and Methods Reference This section describes the functions and methods that you can use in your Lua scripts.",t:"Lua Functions and Methods Reference"},"408":{i:0.000484493511405257,u:"../Content/Lua/General/_LUA_General_Methods.htm",a:"Function Description abs_path Returns the supplied path as an absolute path. base64_decode Decodes a base64-encoded  string. base64_encode Base64-encodes a string. convert_date_time Converts date and time formats using standard IDOL date formats. convert_encoding Converts the encoding of a string ...",t:"General Functions"},"409":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_abs_path.htm",a:"abs_path The abs_path method returns the supplied path as an absolute path. Syntax abs_path( path ) Arguments Argument Description path (string) A relative path. Returns (String). A string containing the supplied path as an absolute path.",t:"abs_path"},"410":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_base64_decode.htm",a:"base64_decode The base64_decode method decodes a base64-encoded  string. Syntax base64_decode( input ) Arguments Argument Description input (string) The string to decode. Returns (String). The decoded string. If the input is not a valid base64-encoded string, the function returns nil.",t:"base64_decode"},"411":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_base64_encode.htm",a:"base64_encode The base64_encode method base64-encodes a string. Syntax base64_encode( input ) Arguments Argument Description input (string) The string to base64-encode. Returns (String). A base64-encoded string.",t:"base64_encode"},"412":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_convert_date_time.htm",a:"The convert_date_time method converts date and time formats using standard IDOL formats. All date and time input is treated as local time unless it contains explicit time zone information. The InputFormatCSV and OutputFormat arguments specify date and time formats, and accept the following values: ...",t:"convert_date_time"},"413":{i:0.00091042214485328,u:"../Content/Lua/General/_LUA_convert_encoding.htm",a:"The convert_encoding method converts the encoding of a string from one character encoding to another. Syntax convert_encoding( input, encodingTo, encodingTables [, encodingFrom]) Arguments Argument Description input (string) The string to convert. encodingTo (string) The character encoding to ...",t:"convert_encoding"},"414":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_copy_file.htm",a:"The copy_file method copies a file. Syntax copy_file( src, dest [, overwrite] ) Arguments Argument Description src (string) The source file. dest (string) The destination path and file name. overwrite (boolean) A boolean that specifies whether to copy the file if the destination file already exists. ...",t:"copy_file"},"415":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_create_path.htm",a:"create_path The create_path method creates the specified directory tree. Syntax create_path( path ) Arguments Argument Description path (string) The path to create.",t:"create_path"},"416":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_create_uuid.htm",a:"create_uuid The create_uuid method creates a universally unique identifier. Syntax create_uuid() Returns (String). A string containing the universally unique identifier.",t:"create_uuid"},"417":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_delete_file.htm",a:"delete_file The delete_file method deletes a file. Syntax delete_file( path ) Arguments Argument Description path (string) The path and filename of the file to delete. Returns (Boolean). A boolean, true to indicate success or false for failure.",t:"delete_file"},"418":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_delete_path.htm",a:"delete_path The delete_path function deletes the specified directory, but only if it is empty. Syntax delete_path( path ) Arguments Argument Description path (string) The empty directory to delete. Returns Nothing. Example delete_path( \"C:\\MyFolder\\AnotherFolder\\\" )",t:"delete_path"},"419":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_doc_tracking.htm",a:"The doc_tracking function raises a document tracking event for a document. Syntax doc_tracking( document , eventName [, eventMetadata] [, reference] ) Arguments Argument Description document (LuaDocument) The document to track. eventName (string) The event name. You can type a description of the ...",t:"doc_tracking"},"420":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_encrypt.htm",a:"encrypt The encrypt method encrypts a string and returns the encrypted string. It uses the same encryption method as ACL encryption. Syntax encrypt( content ) Arguments Argument Description content (string) The string to encrypt. Returns (String). The encrypted string.",t:"encrypt"},"421":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_encrypt_security_field.htm",a:"encrypt_security_field The encrypt_security_field method returns the encrypted form of the supplied field. Syntax encrypt_security_field( field ) Arguments Argument Description field (string) An Access Control List string. Returns (String). An encrypted string.",t:"encrypt_security_field"},"422":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_extract_date.htm",a:"The extract_date function searches a string for a date and returns the date. This function uses standard IDOL date formats.  All date and time input is treated as local time unless it contains explicit time zone information. The following table describes the standard IDOL date formats: YY Year (2 ...",t:"extract_date"},"423":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_file_setdates.htm",a:"The file_setdates method sets the metadata for the file specified by path. If the format argument is not specified, the dates must be specified in seconds since the epoch (1st January 1970). Syntax file_setdates( path, created, modified, accessed [, format] ) Arguments Argument Description path ...",t:"file_setdates"},"424":{i:0.00146580509939353,u:"../Content/Lua/General/_LUA_get_config.htm",a:"The get_config function loads a configuration file. Configuration files are cached after the first call to get_config, to avoid unnecessary disk I/O in the likely event that the same configuration is accessed frequently by subsequent invocations of the Lua script. One cache is maintained per Lua ...",t:"get_config"},"425":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_get_log.htm",a:"This version of the get_log function is deprecated in OneDrive Connector 11.4.0 and later. This version of the function is still available for existing implementations, but it might be incompatible with new functionality. This version of the function might be removed in future. Micro Focus ...",t:"get_log"},"426":{i:0.0025083906240367,u:"../Content/Lua/General/_LUA_get_log2.htm",a:"The get_log method returns a  LuaLog  object that provides the capability to write messages to a specified log type. Syntax get_log( log_type ) Arguments Argument Description log_type (string) The log type name. Returns (LuaLog). A  LuaLog  object. Example local log = ...",t:"get_log"},"427":{i:0.000706737192388834,u:"../Content/Lua/General/_LUA_get_log_service.htm",a:"The get_log_service function obtains a  LuaLogService  object, from which you can obtain a  LuaLog  object that you can use to write messages to a log file. To obtain a LuaLog object for writing to a standard log stream, call the function without any arguments or use the function  get_log  instead. ...",t:"get_log_service"},"428":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_get_task_config.htm",a:"The get_task_config function returns a LuaConfig object that contains the configuration of the fetch task that called the script. For information about the methods you can use to read information from the LuaConfig object, see  LuaConfig Methods . Syntax get_task_config() Returns (LuaConfig). A ...",t:"get_task_config"},"429":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_get_task_name.htm",a:"get_task_name The get_task_name function returns a string that contains the name of the fetch task that called the script. Syntax get_task_name() Returns (String). A string that contains the task name.",t:"get_task_name"},"430":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_getcwd.htm",a:"getcwd The getcwd method returns the current working directory of the application. Syntax getcwd() Returns (String). Returns a string containing the absolute path of the current working directory.",t:"getcwd"},"431":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_gobble_whitespace.htm",a:"The gobble_whitespace method reduces multiple adjacent white spaces (tabs, carriage returns, spaces, and so on) in the specified string to a single space. Syntax gobble_whitespace( input ) Arguments Argument Description input (string) An input string. Returns (String). A string without adjacent ...",t:"gobble_whitespace"},"432":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_hash_file.htm",a:"The hash_file method hashes the contents of the specified file using the SHA1 or MD5 algorithm. Syntax hash_file( FileName, Algorithm ) Arguments Argument Description FileName (string) The name of the file. Algorithm (string) The type of algorithm to use. Must be either SHA1 or MD5. Returns ...",t:"hash_file"},"433":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_hash_string.htm",a:"The hash_string method hashes the specified string using the SHA1 or MD5 algorithm. Syntax hash_string( StringToHash, Algorithm ) Arguments Argument Description StringToHash (string) The string to hash. Algorithm (string) The algorithm to use. Must be either SHA1 or MD5. Returns (String). The hashed ...",t:"hash_string"},"434":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_is_dir.htm",a:"is_dir The is_dir method checks if the supplied path is a directory. Syntax is_dir( path ) Arguments Argument Description path (string) The path to check. Returns (Boolean). Returns true if the supplied path is a directory, false otherwise.",t:"is_dir"},"435":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_log.htm",a:"log The log method appends log messages to the specified file. Syntax log( file, message ) Arguments Argument Description file (string) The file to append log messages to. message (string) The message to print to the file.",t:"log"},"436":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_move_file.htm",a:"The move_file method moves a file. Syntax move_file( src, dest [, overwrite] ) Arguments Argument Description src (string) The source file. dest (string) The destination file. overwrite (boolean) A boolean that specifies whether to move the file if the destination file already exists. If this ...",t:"move_file"},"437":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_parse_csv.htm",a:"The parse_csv method parses a string of comma-separated values into individual strings. The method understands quoted values (such that parsing \u0027foot, \"leg, torso\", elbow\u0027 produces three values) and ignores white space around delimiters. Syntax parse_csv( input [, delimiter ] ) Arguments Argument ...",t:"parse_csv"},"438":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_parse_document_csv.htm",a:"The parse_document_csv function parses a CSV file into documents and calls a function on each document. This function can handle CSV files with or without a header row, but if a header row is not present you must: set the named parameter use_header_row to false. specify the document field names to ...",t:"parse_document_csv"},"439":{i:0.00070127097605747,u:"../Content/Lua/General/_LUA_parse_document_idx.htm",a:"The parse_document_idx function parses an IDX file into documents and calls a function on each document. Syntax parse_document_idx( filename, handler ) Arguments Argument Description filename (string) The path and file name of the IDX file to parse into documents. handler (document_handler_function) ...",t:"parse_document_idx"},"440":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_parse_document_idx2.htm",a:"The parse_document_idx function parses an IDX string or file, and returns a  LuaDocument . You can use this function if the string or file contains a single document. If you have an IDX file that contains multiple documents you can use the function  parse_document_idx(filename, handler) instead. ...",t:"parse_document_idx"},"441":{i:0.00070127097605747,u:"../Content/Lua/General/_LUA_parse_document_xml.htm",a:"The parse_document_xml function parses an XML file into documents and calls a function on each document. Syntax parse_document_xml( filename, handler [, params ] ) Arguments Argument Description filename (string) The path and file name of the XML file to parse into documents. handler ...",t:"parse_document_xml"},"442":{i:0.000492119807261661,u:"../Content/Lua/General/_LUA_parse_document_xml2.htm",a:"The parse_document_xml function parses an XML string or file into a document and returns a LuaDocument. You can use this function if the string or file contains a single document. If you have an XML file that contains multiple documents you can use the function  parse_document_xml(filename, handler ...",t:"parse_document_xml"},"443":{i:0.000918450939514053,u:"../Content/Lua/General/_LUA_parse_json.htm",a:"The parse_json function parses a string of JSON and returns a JSON value. Syntax parse_json( json ) Arguments Argument Description json (string) The input string to parse. Returns ( LuaJsonValue ). A LuaJsonValue containing the JSON data. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal ...",t:"parse_json"},});